Subject: Re: [PATCH 0/4] SUNRPC: pass network namespace context to sockaddr construction routines

From: Stanislav Kinsbursky <[email-masked]>
Date: Mon, 12 Dec 2011 20:27:36 +0400

12.12.2011 20:15, J. Bruce Fields пишет:
> On Mon, Dec 12, 2011 at 08:13:24PM +0400, Stanislav Kinsbursky wrote:
>> 09.12.2011 00:46, J. Bruce Fields пишет:
>>> On Wed, Dec 07, 2011 at 03:20:07PM +0300, Stanislav Kinsbursky wrote:
>>>> This is another precursor patch set aimed to remove hard-coded "init_net"
>>>> reference from SUNRPC sockaddr convertion and construction routines.
>>>
>>> ACK--all look straightforward.  (Only complaint would be that this isn't
>>> terribly interesting till we see how these are used.)
>>>
>>
>> Actually, all is simple. These init_net pointers will be replaced
>> later by "transports, clients and others" network namespace
>> contexts.
>> I have some more patches for NFS layer. But I don't see any sense to
>> sent them now since no "virtualization" patches were commited yet.
>> So, currently, I'm trying to finalize "SUNRPC per network namespace"
>> task, and soon I'll send a patch set making SUNRPC sysctl's
>> network-namespace-aware. It is a little bit tricky and ugly from my
>> pow, so any ideas are welcome.
>
> No ideas.... What's the ugly part?
>
> --b.

I have some "idée fixe", that all this file system parts of SUNRPC (and NFS) 
layers have to made per network namespace context in the same manner as sysfs 
done. I.e. it's content should depends on mount point creator network namespace 
context instead of "current" one.
But proc (and sysctl's as well) doesn't allow to make it so simple like sysfs does.
So, currently sysctl's code is about 30 lines. With my patches in will be 
approximately 3-4 times longer.
But this "dependence on mount point creator network namespace" goal is achieved.
Anyway, I'll cleanup this code and send path set soon.

-- 
Best regards,
Stanislav Kinsbursky